declare const _default: {
    name: string;
    props: {
        showStep: {
            type: BooleanConstructor;
            default: boolean;
        };
        domData: ArrayConstructor;
        mainAxis: {
            type: NumberConstructor;
            default: number;
        };
        crossAxis: {
            type: NumberConstructor;
            default: null;
        };
        alignmentAxis: {
            type: NumberConstructor;
            default: null;
        };
        popPosition: {
            type: StringConstructor;
            default: string;
        };
        arrow: {
            type: BooleanConstructor;
            default: boolean;
        };
        modalOverlayOpeningPadding: {
            type: NumberConstructor;
            default: number;
        };
        modalOverlayOpeningRadius: {
            type: NumberConstructor;
            default: number;
        };
        lightClass: {
            type: StringConstructor;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        height: {
            type: StringConstructor;
            default: string;
        };
        tiny_mode: StringConstructor;
        tiny_mode_root: BooleanConstructor;
        tiny_template: (ObjectConstructor | FunctionConstructor)[];
        tiny_renderless: FunctionConstructor;
        tiny_theme: StringConstructor;
        tiny_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => any;
};
export default _default;
